:root {
    --color-white-font: #FDFDFD;
    --color-grey-font: #F3F5F4;
    --color-dark-font: #18121E;
    --color-accent-font: #F2BE22;
    --color-black-font: #000;

    --color-white-background: #fff;
    --color-dark-btn: #1A3E3E;
    --color-grey-stroke: #E1E3E4;
}

html {
    box-sizing: border-box;
}

select {
    -moz-appearance: none;
	-webkit-appearance: none;
    appearance: none;
    // background-image: url(images/select-arrow.svg);
    // background-repeat: no-repeat;
    // background-size: 20px;
}

select::-ms-expand {
    display: none;
}

*,
*::before,
*::after {
    box-sizing: inherit;
}

a {
    color: inherit;
    text-decoration: none;
}

img {
    max-width: 100%;
}

@font-face {
    font-family: 'NunitoSans';
    src: local('NunitoSans-Light'),
    url(/fonts/NunitoSans-Light.woff2);
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'NunitoSans';
    src: local('NunitoSans-Regular'),
    url(/fonts/NunitoSans-Regular.woff2);
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'NunitoSans';
    src: local('NunitoSans-SemiBold'),
    url(/fonts/NunitoSans-SemiBold.woff2);
    font-weight: 600;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'NunitoSans';
    src: local('NunitoSans-Bold'),
    url(/fonts/NunitoSans-Bold.woff2);
    font-weight: 700;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'NunitoSans';
    src: local('NunitoSans-ExtraBold'),
    url(/fonts/NunitoSans-ExtraBold.woff2);
    font-weight: 800;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'NEXTART';
    src: url(/fonts/NEXTART-Bold.woff2);
    font-weight: 700;
    font-style: normal;
    font-display: swap;
}

body {
    min-width: 320px;
    font-family: 'NunitoSans', sans-serif;
    font-weight: 400;
}

// global

.main {
    position: relative;
    padding-bottom: 0px;
    margin-bottom: -30px;
}

.container {
    max-width: 1210px;
    padding: 0 15px;
    margin: 0 auto;
}

.list-reset {
    margin: 0;
    padding: 0;
    list-style: none;
}

.btn-reset {
    padding: 0;
    border: none;
    background-color: transparent;
    cursor: pointer;
}

.btn {
    border-radius: 4px;
    font-weight: 600;
    font-size: 16px;
    line-height: 125%;
    letter-spacing: 0.01em;
}

.btn_big {
    padding: 16px 36px;
}

.btn_small {
    padding: 12px 24px;
}

.btn_dark {
    background-color: var(--color-dark-btn);
    color: #fdfdfd;
}

.btn_white {
    background-color: var(--color-white-font);
    color: var(--color-dark-btn);
}

.burger {
    display: none;
    width: 21px;
    height: 18px;
    background-image: url(/images/burger.svg);
    background-repeat: no-repeat;
    background-position: center;
}

// header

.header {
    padding: 16px 0 82px 0;
    background-image: url(/images/hero-background.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;

    &__link {
        margin-right: auto;
    }

    &__top {
        display: flex;
        align-items: center;
        flex-wrap: wrap;
        margin-bottom: 463px;
    }

    &__nav {
        margin-right: 49px;
    }

    &__title {
        margin: 0;
        margin-bottom: 41px;
        font-family: 'NEXTART', sans-serif;
        font-weight: 700;
        font-size: 50px;
        line-height: 150%;
        letter-spacing: 0.02em;
        color: #fdfdfd;
    }

    &__form {
        display: flex;
        align-items: flex-start;
        flex-wrap: wrap;
        gap: 24px;
        padding: 40px;
        background-color: rgba($color: #fff, $alpha: 0.2);
        border-radius: 10px;
    }

}

.nav__items {
    display: flex;
    flex-wrap: wrap;
    gap: 24px;
}

.nav__item {
    font-weight: 600;
    font-size: 18px;
    color: var(--color-white-font);
}

.select {
    display: flex;
    flex-direction: column;

    &__content {
        width: 270px;
        border: 1px solid var(--color-grey-stroke);
        border-radius: 8px;
        background-color: transparent;
        margin-bottom: 8px;
        padding: 13px 15px;
        background-image: url(images/select-arrow.svg);
        background-position: calc(100% - 15px);
        background-repeat: no-repeat;
        background-size: 20px;
        font-weight: 700;
        font-size: 16px;
        line-height: 150%;
        color: var(--color-white-font);
    }

    &__desc {
        padding-left: 8px;
        font-weight: 400;
        font-size: 14px;
        line-height: 150%;
        color: #fdfdfd;
    }
}

// about

.about {
    padding: 100px 0;
    background-color: #fff;

    &__container {
        --gap: 120px;

        display: flex;
        justify-content: space-between;
        align-items: center;
        flex-wrap: wrap;
        gap: var(--gap);
    }

    &__left {
        min-height: 492px;
        padding: 64px 0;
        flex-basis: 38%;
        background-image: url(/images/about-background.jpg);
        background-repeat: no-repeat;
        background-position: center;
        background-size: contain;
    }

    &__right {
        flex-basis: 51%;
    }

    &__information {
        margin: 0;
        font-weight: 400;
        font-size: 18px;
        line-height: 150%;
        color: var(--color-dark-font);
        margin-bottom: 40px;
    }
}

.sub-title {
    margin: 0;
    margin-bottom: 8px;
    font-weight: 400;
    font-size: 24px;
    line-height: 83%;
    color: var(--color-accent-font);
}

.section-title {
    margin: 0;
    margin-bottom: 40px;
    font-weight: 800;
    font-size: 32px;
    line-height: 120%;
    color: var(--color-dark-font);
}

// service

.service {
    padding: 80px 0;
    background-color: var(--color-grey-font);

    &__container {
        --gap: 90px;

        display: flex;
        justify-content: space-between;
        align-items: center;
        flex-wrap: wrap;
        gap: var(--gap);
    }

    &__left {
        flex-basis: 51%;
    }

    &__info {
        margin: 0;
        font-weight: 400;
        font-size: 18px;
        line-height: 150%;
        color: var(--color-dark-font)
    }

    @mixin item-image {
        content: '';
        left: 0;
        top: 7px;
        width: 50px;
        height: 50px;
        position: absolute;
        background-position: center;
        background-repeat: no-repeat;
        background-size: 50px 50px;
    }

    &__item {
        position: relative;
        display: flex;
        flex-direction: column;
        padding-left: 66px;

        &_gid::after {
            @include item-image;
            background-image: url(/images/service-gid.svg);
        }
        
        &_security::after {
            @include item-image;
            background-image: url(/images/service-security.svg);
        }
        
        &_price::after {
            @include item-image;
            background-image: url(/images/service-price.svg);
        }
    }

    &__pluses {
        display: flex;
        flex-direction: column;
        gap: 40px;
        margin-bottom: 40px;
    }

    &__caption {
        margin: 0;
        margin-bottom: 4px;
        font-weight: 700;
        font-size: 18px;
        line-height: 111%;
        letter-spacing: 0.01em;
        color: var(--color-dark-font);
    }

    &__desc {
        margin: 0;
        font-weight: 400;
        font-size: 14px;
        line-height: 143%;
        color: var(--color-black-font);
    }

    &__right {
        min-height: 484px;
        flex-basis: 41%;
        background-image: url(/images/service-background.png);
        background-repeat: no-repeat;
        background-size: contain;
        background-position: center;
    }
}

// hit

.hit {
    padding: 80px 0 100px 0;
    background-color: var(--color-white-background);

    &__container {
        display: flex;
        flex-direction: column;
    }

    &__sub-title {
        align-self: center;
    }

    &__title {
        align-self: center;
    }

    &__cards {
        --gap: 20px;
        --cards-count: 3;

        display: flex;
        align-items: center;
        flex-wrap: wrap;
        gap: var(--gap);
        margin-bottom: 50px;
    }

    @mixin hit-image {
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
    }

    &__item {
        @include hit-image;
        min-height: 500px;
        width: calc((100% - var(--gap) * (var(--cards-count) - 1)) / var(--cards-count));
        display: flex;
        flex-direction: column;
        justify-content: flex-end;

        &_lake {
            background-image: url(images/hit-lake.png);
        }

        &_night {
            background-image: url(images/hit-night.png);
        }

        &_mountain {
            background-image: url(images/hit-mountine.png);
        }
    }

    &__wrapper {
        display: flex;
        align-items: center;
        justify-content: space-between;
        border-radius: 0 0 32px 32px;
        background-color: rgba($color: #fff, $alpha: 0.2);
        padding: 20px 32px 23px 32px;
        backdrop-filter: blur(6px);
    }

    &__caption {
        margin: 0;
        font-weight: 700;
        font-size: 24px;
        line-height: 120%;
        color: var(--color-white-font);
    }

    &__desc {
        font-weight: 400;
        font-size: 14px;
        line-height: 129%;
        color: var(--color-white-font);
    }

    &__price {
        z-index: 1;
        border-radius: 4px;
        padding: 8px 16px;
        background-color: rgba($color: #fff, $alpha: 0.2);
        font-weight: 700;
        font-size: 20px;
        line-height: 120%;
        color: var(--color-white-font);
    }

    &__btn {
        align-self: center;
        max-width: 244px;
    }
}

// blog

.blog {
    padding: 80px 0 100px 0;
    background-color: #F3F5F4;

    &__container {
        display: flex;
        flex-direction: column;
    }

    &__sub-title {
        align-self: center;
    }

    &__section-title {
        align-self: center;
    }

    &__items {
        --gap: 20px;
        --count-cards-row: 2;

        display: flex;
        align-items: center;
        flex-wrap: wrap;
        row-gap: 24px;
        column-gap: 20px;
        margin-bottom: 50px;
    }

    @mixin blog-image {
        background-position: 16px center;
        background-repeat: no-repeat;
    }

    &__item {
        border-radius: 10px;
        width: calc((100% - var(--gap) * (var(--count-cards-row) - 1)) / var(--count-cards-row));
        min-height: 312px;
        display: flex;
        flex-direction: column;
        justify-content: space-around;
        gap: 24px;
        padding: 16px 16px 16px 270px;
        background-color: var(--color-white-font);

        &_1 {
            @include blog-image;
            background-image: url(/images/blog-image1.jpg);
        }

        &_2 {
            @include blog-image;
            background-image: url(/images/blog-image2.jpg);
        }

        &_3 {
            @include blog-image;
            background-image: url(/images/blog-image3.jpg);
        }

        &_4 {
            @include blog-image;
            background-image: url(/images/blog-image4.jpg);
        }
    }

    &__title {
        margin: 0;
        font-weight: 700;
        font-size: 24px;
        line-height: 133%;
        color: var(--color-dark-font);
    }

    &__text {
        margin: 0;
        font-weight: 400;
        font-size: 14px;
        line-height: 143%;
        color: var(--color-dark-font);

        &_1, &_2 {
            min-height: 116px;
        }

        &_3 {
            min-height: 84px;
        }

        &_4 {
            min-height: 148px;
        }
    }

    &__details {
        display: flex;
        justify-content: space-between;
    }

    &__date {
        font-weight: 700;
        font-size: 14px;
        line-height: 143%;
        color: var(--color-accent-font);
    }

    &__link {
        font-weight: 700;
        font-size: 14px;
        line-height: 143%;
        color: var(--color-dark-btn);
    }

    &__btn {
        align-self: center;
        max-width: 220px;
    }
}

// photos

.photos {
    padding: 80px 0 100px 0;
    background-color: var(--color-white-background);

    &__container {
        display: flex;
        flex-direction: column;
    }

    &__sub-title {
        align-self: center;
    }

    &__section-title {
        align-self: center;
    }

    &__content {
        display: grid;
        grid-template-columns: auto auto auto auto;
        grid-template-rows: auto auto;
        grid-auto-flow: row;
        gap: 20px;
        margin-bottom: 50px;
    }

    &__image_1, &__image_5 {
        grid-column: span 2;
    }

    &__btn {
        align-self: center;
        max-width: 178px;
    }
}

// actual

.actual {

    &__container {
        border-radius: 6px;
        padding: 40px 115px;
        display: flex;
        justify-content: space-between;
        align-items: center;
        flex-wrap: wrap;
        gap: 64px;
        box-shadow: 0 0 15px 0 rgba(24, 18, 30, 0.12);
        background-color: var(--color-white-background);
    }

    &__left {
        flex-basis: 40%;
    }

    &__sub-title {
        font-size: 18px;
    }

    &__section-title {
        font-size: 26px;
    }

    &__right {
        flex-basis: 53%;
    }

    &__top {
        display: flex;
        align-items: flex-end;
        gap: 16px;
        margin-bottom: 8px;
    }

    &__input-box {
        flex-grow: 1;
        display: flex;
        flex-direction: column;
        gap: 8px;
    }

    &__label {
        font-weight: 600;
        font-size: 16px;
        line-height: 125%;
        color: var(--color-dark-font);
    }

    &__input {
        width: 100%;
        flex-basis: 45%;
        border: none;
        border-radius: 4px;
        padding: 12px 16px;
        background-color: var(--color-grey-font);
    }

    &__input::placeholder {
        font-weight: 300;
        font-size: 14px;
        line-height: 143%;
        color: var(--color-dark-font);
    }

    &__btn {
        flex-shrink: 0;
    }

    &__desc {
        margin: 0;
        font-weight: 600;
        font-size: 14px;
        line-height: 129%;
        color: var(--color-dark-font);

        &_underline {
            text-decoration: underline;
        }
    }
}

// footer

.footer {

    &__top {
        padding: 165px 0 80px 0;
        background-color: var(--color-dark-btn);
    }

    &__container-top {
        display: flex;
        align-items: flex-start;
    }

    &__left {
        max-width: 480px;
        margin-right: 20px;
    }

    &__title {
        margin: 0;
        margin-bottom: 20px;
        font-weight: 700;
        font-size: 20px;
        line-height: 120%;
        color: var(--color-grey-font)
    }

    &__desc {
        margin: 0;
        margin-bottom: 80px;
        font-weight: 400;
        font-size: 14px;
        line-height: 143%;
        color: var(--color-white-background);
    }

    &__center {
        margin-right: 120px;
    }

    &__bottom {
        padding: 24px 0;
        background-color: var(--color-dark-font);
    }

    &__container-bottom {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    &__face {
        font-weight: 600;
        font-size: 14px;
        line-height: 129%;
        color: var(--color-white-background);
    }

    &__policy {
        font-weight: 600;
        font-size: 14px;
        line-height: 129%;
        text-decoration: underline;
        text-decoration-skip-ink: none;
        color: var(--color-white-font);
    }
}

.contacts {
    display: flex;
    gap: 24px;
    margin-bottom: 32px;

    &__link {
        font-weight: 600;
        font-size: 14px;
        line-height: 129%;
        text-decoration: underline;
        text-decoration-skip-ink: none;
        color: var(--color-white-background);
    }
}

.social {
    display: flex;
    align-items: center;
    gap: 16px;
}

.footer-nav {
    display: flex;
    flex-direction: column;
    gap: 16px;

    &__item {
        padding-left: 18px;
        font-weight: 400;
        font-size: 14px;
        line-height: 129%;
        color: var(--color-white-font);
        background-image: url(/images/footer-arrow.svg);
        background-repeat: no-repeat;
        background-position: left center;
    }
}

